<!DOCTYPE html>
<html lang="en">
    <head>
        <meta charset="UTF-8">
        <meta name="viewport" content="width=device-width, initial-scale=1.0">
        <title>Todo Lists</title>
    </head>
    <body>
        <main>
            <div>
                <h1>My Lists</h1>
                <div>
                    <p>
                        <a href="{% url 'todo_list_create' %}">Create a new list</a>
                    </p>
                    <p>
                        <a href="{% url 'todo_item_create' %}">Create a new item</a>
                    </p>
                </div>
                <table>
                    <thead>
                        <tr>
                            <th>Name</th>
                            <th>Number of Items</th>
                        </tr>
                    </thead>
                    <tbody>
                        {% for todo_list in todo_lists %} <!-- "todo_lists" is the context key within the todo_lists view -->
                            <tr>
                                <td>
                                    <a href="{% url 'todo_list_detail' todo_list.id %}">{{ todo_list.name }}</a>
                                    </td> <!-- "name" is a field/variable in the TodoList model -->
                                <td>{{ todo_list.items.count }}</td> <!-- "items" is referenced in related_name in TodoItem model -->
                            </tr>
                        {% endfor %}
                    </tbody>
                </table>
            </div>
        </main>
    </body>
</html>
